LVPN-ADD-SUBNET(1)

NAME

lvpn add-subnet adds an IP address to a node

SYNOPSIS

lvpn add-subnet [-hvg] -[4|6] [local-node] [address]

OPTIONS

-h  This message

-v  Verbose mode, informs everything

-g  Generate the IP address instead of waiting for a manually assigned one. This is the default behavior if nothing is specified.

-4  Generate an IPv4 address

-6  Generate an IPv6 address. This is the default behavior.

DESCRIPTION

Adds or generates an IP address to the specified host file. It can be either an IPv4 (with -4) or an IPv6 (with -6) address.

Useful for migrating to IPv6.

This command guesses the node's name from the $HOSTNAME if none is specified.

EXAMPLES

  Generate and add an IPv6 to the local node

lvpn add-subnet -v

AUTHORS
Nicolás Reynolds <fauno@endefensadelsl.org>.